apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
    name: portainer-ingress
    namespace: portainer
    annotations:
        kubernetes.io/ingress.class: nginx
        nginx.ingress.kubernetes.io/backend-protocol: HTTPS
spec:
    rules:
        - host: ENC[AES256_GCM,data:k+51RXTRI10RN/TCGsdv9/nt9w==,iv:wwD3MAm1CFon3cT/tMpFjhlflGFQCFbPJVUWI9iYbmM=,tag:j1EcAo+pWrdJVeuFaG5i+w==,type:str]
          http:
            paths:
                - path: ENC[AES256_GCM,data:AA==,iv:OPJtMa19mhXPY88Y+6L+cKGuFAp7X+8+i3Tmla56Is0=,tag:foCmeidGOoerZqC6sgH7hA==,type:str]
                  pathType: ENC[AES256_GCM,data:ObPM+bwn,iv:ByXypy15eDe16mnftIgKzdP8W9F3l2/UUeBoAcNakuU=,tag:TlkLVe0Q5h44djW/HTe5PA==,type:str]
                  backend:
                    service:
                        name: ENC[AES256_GCM,data:UXHrMJR/5/BX,iv:sFW+wTrbeG/aiNfLGJDY8oPFK5kff2aBjyAFBpPAumg=,tag:s7sVGQ/peV8xusilp0RrVg==,type:str]
                        port:
                            number: ENC[AES256_GCM,data:J9bpgg==,iv:PWJPS36KbYegUATR57lTOsJ0JOodrqaVC798uw/cvMo=,tag:jgmbIwJyvKe8RNgjn7Eq9Q==,type:int]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSAwN1dwRGhJUWx5ZVBWYmhL
            dTllSlVHYnZmWnJidUxTSTZrNGEwVjEvOVhFCnJvdUI0a2FpSWZneFdzeWZIcU9N
            dGVQZnFTYjJmRGV2OFRuWXZiUTJzSzQKLS0tIFBMeHZ2U1g5d1B1VVRpQUJYUHRy
            L0EzRmxBVEdyeEc0Q2d1Y1J1TmVvRkUKUEKPQFyStzR1O0h0a/yULKl6Uj7yi0yK
            Tww7oDqiq+OFMMSe0mh38ypjDzV6ccT+5Ce7gg2ducCGAC4OknorBg==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-29T21:31:00Z"
    mac: ENC[AES256_GCM,data:eg+S5lNzNikVWL+TugAS+Z+lN052TG6dPrU3Mhi3o19j9Mh7tWR/XYIpynHF3bk35t4Tt+fW87hRldO7qkTCkChdxhj3alio4Ckie5/mJNU/iyxG5sSYn/cEs6zrWJ9vAASbAl/Cm+amZrLBayDGlTmvqDvaBobJmSxWF4jmqoI=,iv:iZtvzhbsyIhPoqGjoWL3AbUHcOZD/dEkryWQll0NV7I=,tag:GWw07WTwMF9eAYhNPTzboA==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
